Latest 0.0.1
Homepage https://github.com/openfresh/PlasmaSwift
License MIT
Platforms ios 8.0
Dependencies !ProtoCompiler-gRPCPlugin
Authors

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

Installation

PlasmaSwift is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "PlasmaSwift"

Author

FRESH!

License

PlasmaSwift is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "PlasmaSwift",
    "version": "0.0.1",
    "summary": "A short description of PlasmaSwift.",
    "description": "Plasma Client for Swift.",
    "homepage": "https://github.com/openfresh/PlasmaSwift",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "FRESH!": "[email protected]"
    },
    "source": {
        "git": "https://github.com/openfresh/PlasmaSwift.git",
        "tag": "0.0.1"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "PlasmaSwift/*.swift",
    "dependencies": {
        "!ProtoCompiler-gRPCPlugin": [
            "~> 1.3.0"
        ]
    },
    "subspecs": [
        {
            "name": "Messages",
            "source_files": "*.pbobjc.{h,m}",
            "header_mappings_dir": ".",
            "requires_arc": false,
            "dependencies": {
                "Protobuf": []
            },
            "pod_target_xcconfig": {
                "GCC_PREPROCESSOR_DEFINITIONS": "$(inherited) GPB_USE_PROTOBUF_FRAMEWORK_IMPORTS=1",
                "CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES": "YES"
            }
        },
        {
            "name": "Services",
            "source_files": "*.pbrpc.{h,m}",
            "header_mappings_dir": ".",
            "requires_arc": true,
            "dependencies": {
                "gRPC-ProtoRPC": [],
                "PlasmaSwift/Messages": []
            }
        }
    ]
}

Pin It on Pinterest

Share This